1. Join Now

    AVForums.com uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Downgrade concerns/movies

Discussion in 'PS Vita Forum' started by seymourtitty, Oct 17, 2005.

Tags:
  1. seymourtitty

    seymourtitty
    Standard Member

    Joined:
    Nov 16, 2003
    Messages:
    136
    Products Owned:
    0
    Products Wanted:
    0
    Trophy Points:
    18
    Ratings:
    +1
    Hi there

    I recently bought a v1.52 PSP from Virgin, so I'm a newbie to this, so please bear with me.

    A friend at work is recommending the downgrade to 1.5 so u can play games from your memory card, but I've been told that this invalidates the warranty. So my questions are:

    What are the chances of all future games not working on v1.5? A knowing my luck, the downgrade won't work and I'll be left with a dead duck....

    Do you need 1.5 to play movies or can u convert them to the correct format (MPEG4?) and stick them on your mem card?

    I only see myself playing 3/4 games max anyway, so that cost won't be prohibitive. However it would be great to watch movies that my friends have already downloaded, before deciding whether to buy them.

    So I guess I'm asking, is the chance really worth taking?

    Thanks for your help!
     
  2. chrislad

    chrislad
    Well-known Member

    Joined:
    May 6, 2005
    Messages:
    5,642
    Products Owned:
    0
    Products Wanted:
    0
    Trophy Points:
    83
    Location:
    Rep. of Ireland
    Ratings:
    +141
    Technically, it shouldn't void your warranty as you are installed a legal, official Sony 1.5 firmware. You'll still be able to watch all your movies, and I haven't heard of anyone breaking their PSP by downgrading yet, expect people who used the dodgy downgrader, which was a program that broke your PSP intentionally. Get your files from pspupdates.com and not some dodgy torrent and you'll be fine.
     
  3. wallzy

    wallzy
    Active Member

    Joined:
    Jan 26, 2005
    Messages:
    562
    Products Owned:
    0
    Products Wanted:
    0
    Trophy Points:
    18
    Ratings:
    +16
    ive heard that to play the new gta on the psp u have to have version 2.0 or higher not sure were i read this will try and find a linky

    wallzy
     
  4. seymourtitty

    seymourtitty
    Standard Member

    Joined:
    Nov 16, 2003
    Messages:
    136
    Products Owned:
    0
    Products Wanted:
    0
    Trophy Points:
    18
    Ratings:
    +1
    thanks guys

    However, do u need v 1.5 to be able to watch movies from your memory stick?

    And furthermore, cant games manufacturers make games so that they are not compatible with v 1.5?
     
  5. Jan20

    Jan20
    Active Member

    Joined:
    Oct 15, 2003
    Messages:
    1,070
    Products Owned:
    0
    Products Wanted:
    0
    Trophy Points:
    51
    Location:
    Yorkshire
    Ratings:
    +33
    This is where the lovely WAB Version Changer comes into it's own.
     
  6. chrislad

    chrislad
    Well-known Member

    Joined:
    May 6, 2005
    Messages:
    5,642
    Products Owned:
    0
    Products Wanted:
    0
    Trophy Points:
    83
    Location:
    Rep. of Ireland
    Ratings:
    +141
    You can watch movies with 1.0. The only difference 2.0 made was support for the AVC codec. You can still watch standard .mp4 movies.

    Like the previous poster said, there's a program called WAB Changer that makes your PSP think it's running as 2.0, 2.01 and (probably) 2.5. So you won't have any problems running newer games.
     
  7. Jimbo73

    Jimbo73
    Active Member

    Joined:
    Aug 22, 2004
    Messages:
    193
    Products Owned:
    0
    Products Wanted:
    0
    Trophy Points:
    18
    Ratings:
    +5
    Apparently some of the newer UMD movies will not work with 1.5x.
     
  8. drskhaled

    drskhaled
    Active Member

    Joined:
    Feb 25, 2005
    Messages:
    1,541
    Products Owned:
    0
    Products Wanted:
    0
    Trophy Points:
    66
    Location:
    London
    Ratings:
    +108
    What a damn shame that would be! (sorry just being sarcastic) :devil:

    Seriously tho iv'e downgraded with no probs and iv'e spent more time on the psp than ever. if newer games such as gta force an upgrade i'll just use wab changer. The only thig re v2.0 i miss is the wallpaper, but i guess i'll live
     
  9. BuFF DaDDy

    BuFF DaDDy
    Well-known Member

    Joined:
    Jun 2, 2005
    Messages:
    3,287
    Products Owned:
    0
    Products Wanted:
    0
    Trophy Points:
    86
    Ratings:
    +146
    Theres a man with some sense!

    ;)
     
  10. ddavewoods

    ddavewoods
    Active Member

    Joined:
    Jul 24, 2005
    Messages:
    561
    Products Owned:
    0
    Products Wanted:
    0
    Trophy Points:
    31
    Ratings:
    +39
    Hi
    Successfully downfraded from 2.0 to 1.5 today, it was easy, and trouble free, and its just as easy to re install 2.0 so I would recommend the downgrade...
     
  11. bluevortex

    bluevortex
    Active Member

    Joined:
    Feb 6, 2005
    Messages:
    1,890
    Products Owned:
    0
    Products Wanted:
    0
    Trophy Points:
    51
    Ratings:
    +72
    where do you get your games from to play after downgrade from 2.0 to 1.5?
     
  12. superjim

    superjim
    Guest

    Products Owned:
    0
    Products Wanted:
    0
    Ratings:
    +0
    Buy them as usual of course
     
  13. Simebaby

    Simebaby
    Standard Member

    Joined:
    Sep 17, 2004
    Messages:
    736
    Products Owned:
    0
    Products Wanted:
    0
    Trophy Points:
    18
    Ratings:
    +2
    WAB Changer won't work with GTA - it has to be running the actual 2.0 firmware.
     
  14. Miyazaki

    Miyazaki
    Well-known Member

    Joined:
    Sep 10, 2003
    Messages:
    14,304
    Products Owned:
    0
    Products Wanted:
    0
    Trophy Points:
    136
    Ratings:
    +849
    GTA uses the video codec in the v2.0 firmware to play its videos, so unless someone re-encodes all the gta videos, I doubt we'll be able to play it on v1.5.
     
  15. ddavewoods

    ddavewoods
    Active Member

    Joined:
    Jul 24, 2005
    Messages:
    561
    Products Owned:
    0
    Products Wanted:
    0
    Trophy Points:
    31
    Ratings:
    +39
    it only takes 5 mins to upgrade / downgrade the firmware, so no problem if you want to have a spell on GTA just upgrade to 2.0 again
     
  16. pspzones

    pspzones
    Guest

    Products Owned:
    0
    Products Wanted:
    0
    Ratings:
    +0

Share This Page

Loading...